package com.ruoyi.project.patrol.fire.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * 手提式/小推车式灭火器/灭火器材箱对象 t_fire_annihilator
 *
 * @author ruoyi
 * @date 2023-08-22
 */
public class TFireAnnihilator extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 位号 */
    @Excel(name = "位号")
    private String devNo;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 灭火器型号&类型 */
    @Excel(name = "灭火器型号&类型")
    private String anniType;

    /** 数量 */
    @Excel(name = "数量")
    private String anniNum;

    /** 灭火器材箱外观及箱体内外整洁 */
    @Excel(name = "灭火器材箱外观及箱体内外整洁")
    private String anniClean;

    /** 灭火器外观/胶管/喷嘴/连接管 */
    @Excel(name = "灭火器外观/胶管/喷嘴/连接管")
    private String anniBody;

    /** 灭火器压力 */
    @Excel(name = "灭火器压力")
    private String anniPressure;

    /** 灭火器规格 */
    @Excel(name = "灭火器规格")
    private String anniSpecs;

    /** 检测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检测时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date anniCheckDate;

    /** 防雨防晒护罩 */
    @Excel(name = "防雨防晒护罩")
    private String anniSafe;

    /** 月份 */
//    @Excel(name = "月份")
    private Long month;

    /** 年度 */
//    @Excel(name = "年度")
    private Long year;

    /** 频次 */
//    @Excel(name = "频次")
    private String rate;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
//    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
//    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
//    @Excel(name = "备注")
    private String remarks;

    private String checkStatus;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;


    private Long planId;


    private String problemFileUrl;


    private String fileUrl;

    private String issuesFlag;

    private String repairFile;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    private String issuesStatus;

    /** 部门编号 */
//    @Excel(name = "部门编号")
    private Long deptId;

    private String precision;

    /** 免检项 */
    private String ignoreColumn;

    public String getIgnoreColumn() {
        return ignoreColumn;
    }

    public void setIgnoreColumn(String ignoreColumn) {
        this.ignoreColumn = ignoreColumn;
    }

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getProblemFileUrl() {
        return problemFileUrl;
    }

    public void setProblemFileUrl(String problemFileUrl) {
        this.problemFileUrl = problemFileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getIssuesFlag() {
        return issuesFlag;
    }

    public void setIssuesFlag(String issuesFlag) {
        this.issuesFlag = issuesFlag;
    }

    public String getRepairFile() {
        return repairFile;
    }

    public void setRepairFile(String repairFile) {
        this.repairFile = repairFile;
    }

    public String getConfirmed() {
        return confirmed;
    }

    public void setConfirmed(String confirmed) {
        this.confirmed = confirmed;
    }

    public String getIssuesStatus() {
        return issuesStatus;
    }

    public void setIssuesStatus(String issuesStatus) {
        this.issuesStatus = issuesStatus;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setAnniType(String anniType)
    {
        this.anniType = anniType;
    }

    public String getAnniType()
    {
        return anniType;
    }
    public void setAnniNum(String anniNum)
    {
        this.anniNum = anniNum;
    }

    public String getAnniNum()
    {
        return anniNum;
    }
    public void setAnniClean(String anniClean)
    {
        this.anniClean = anniClean;
    }

    public String getAnniClean()
    {
        return anniClean;
    }
    public void setAnniBody(String anniBody)
    {
        this.anniBody = anniBody;
    }

    public String getAnniBody()
    {
        return anniBody;
    }
    public void setAnniPressure(String anniPressure)
    {
        this.anniPressure = anniPressure;
    }

    public String getAnniPressure()
    {
        return anniPressure;
    }
    public void setAnniSpecs(String anniSpecs)
    {
        this.anniSpecs = anniSpecs;
    }

    public String getAnniSpecs()
    {
        return anniSpecs;
    }
    public void setAnniCheckDate(Date anniCheckDate)
    {
        this.anniCheckDate = anniCheckDate;
    }

    public Date getAnniCheckDate()
    {
        return anniCheckDate;
    }
    public void setAnniSafe(String anniSafe)
    {
        this.anniSafe = anniSafe;
    }

    public String getAnniSafe()
    {
        return anniSafe;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setRate(String rate)
    {
        this.rate = rate;
    }

    public String getRate()
    {
        return rate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return
                "位号：" + getDevNo() +
                " 位置：" + getPosition();
    }
}
